class WeatherIconsUtil {
  static const int dateTimestamp = 1614982233069;

  static const Map<String, int> iconMap = {
    'wi-day-sunny': 0xf00d,
    'wi-day-cloudy': 0xf002,
    'wi-day-cloudy-gusts': 0xf000,
    'wi-day-cloudy-windy': 0xf001,
    'wi-day-fog': 0xf003,
    'wi-day-hail': 0xf004,
    'wi-day-haze': 0xf0b6,
    'wi-day-lightning': 0xf005,
    'wi-day-rain': 0xf008,
    'wi-day-rain-mix': 0xf006,
    'wi-day-rain-wind': 0xf007,
    'wi-day-showers': 0xf009,
    'wi-day-sleet': 0xf0b2,
    'wi-day-sleet-storm': 0xf068,
    'wi-day-snow': 0xf00a,
    'wi-day-snow-thunderstorm': 0xf06b,
    'wi-day-snow-wind': 0xf065,
    'wi-day-sprinkle': 0xf00b,
    'wi-day-storm-showers': 0xf00e,
    'wi-day-sunny-overcast': 0xf00c,
    'wi-day-thunderstorm': 0xf010,
    'wi-day-windy': 0xf085,
    'wi-solar-eclipse': 0xf06e,
    'wi-hot': 0xf072,
    'wi-day-cloudy-high': 0xf07d,
    'wi-day-light-wind': 0xf0c4,
    'wi-night-clear': 0xf02e,
    'wi-night-alt-cloudy': 0xf086,
    'wi-night-alt-cloudy-gusts': 0xf022,
    'wi-night-alt-cloudy-windy': 0xf023,
    'wi-night-alt-hail': 0xf024,
    'wi-night-alt-lightning': 0xf025,
    'wi-night-alt-rain': 0xf028,
    'wi-night-alt-rain-mix': 0xf026,
    'wi-night-alt-rain-wind': 0xf027,
    'wi-night-alt-showers': 0xf029,
    'wi-night-alt-sleet': 0xf0b4,
    'wi-night-alt-sleet-storm': 0xf06a,
    'wi-night-alt-snow': 0xf02a,
    'wi-night-alt-snow-thunderstorm': 0xf06d,
    'wi-night-alt-snow-wind': 0xf067,
    'wi-night-alt-sprinkle': 0xf02b,
    'wi-night-alt-storm-showers': 0xf02c,
    'wi-night-alt-thunderstorm': 0xf02d,
    'wi-night-cloudy': 0xf031,
    'wi-night-cloudy-gusts': 0xf02f,
    'wi-night-cloudy-windy': 0xf030,
    'wi-night-fog': 0xf04a,
    'wi-night-hail': 0xf032,
    'wi-night-lightning': 0xf033,
    'wi-night-partly-cloudy': 0xf083,
    'wi-night-rain': 0xf036,
    'wi-night-rain-mix': 0xf034,
    'wi-night-rain-wind': 0xf035,
    'wi-night-showers': 0xf037,
    'wi-night-sleet': 0xf0b3,
    'wi-night-sleet-storm': 0xf069,
    'wi-night-snow': 0xf038,
    'wi-night-snow-thunderstorm': 0xf06c,
    'wi-night-snow-wind': 0xf066,
    'wi-night-sprinkle': 0xf039,
    'wi-night-storm-showers': 0xf03a,
    'wi-night-thunderstorm': 0xf03b,
    'wi-lunar-eclipse': 0xf070,
    'wi-stars': 0xf077,
    'wi-storm-showers': 0xf01d,
    'wi-thunderstorm': 0xf01e,
    'wi-night-alt-cloudy-high': 0xf07e,
    'wi-night-cloudy-high': 0xf080,
    'wi-night-alt-partly-cloudy': 0xf081,
    'wi-cloud': 0xf041,
    'wi-cloudy': 0xf013,
    'wi-cloudy-gusts': 0xf011,
    'wi-cloudy-windy': 0xf012,
    'wi-fog': 0xf014,
    'wi-hail': 0xf015,
    'wi-rain': 0xf019,
    'wi-rain-mix': 0xf017,
    'wi-rain-wind': 0xf018,
    'wi-showers': 0xf01a,
    'wi-sleet': 0xf0b5,
    'wi-snow': 0xf01b,
    'wi-sprinkle': 0xf01c,
    'wi-snow-wind': 0xf064,
    'wi-smog': 0xf074,
    'wi-smoke': 0xf062,
    'wi-lightning': 0xf016,
    'wi-raindrops': 0xf04e,
    'wi-raindrop': 0xf078,
    'wi-dust': 0xf063,
    'wi-snowflake-cold': 0xf076,
    'wi-windy': 0xf021,
    'wi-strong-wind': 0xf050,
    'wi-sandstorm': 0xf082,
    'wi-earthquake': 0xf0c6,
    'wi-fire': 0xf0c7,
    'wi-flood': 0xf07c,
    'wi-meteor': 0xf071,
    'wi-tsunami': 0xf0c5,
    'wi-volcano': 0xf0c8,
    'wi-hurricane': 0xf073,
    'wi-tornado': 0xf056,
    'wi-small-craft-advisory': 0xf0cc,
    'wi-gale-warning': 0xf0cd,
    'wi-storm-warning': 0xf0ce,
    'wi-hurricane-warning': 0xf0cf,
    'wi-wind-direction': 0xf0b1,
    'wi-alien': 0xf075,
    'wi-celsius': 0xf03c,
    'wi-fahrenheit': 0xf045,
    'wi-degrees': 0xf042,
    'wi-thermometer': 0xf055,
    'wi-thermometer-exterior': 0xf053,
    'wi-thermometer-internal': 0xf054,
    'wi-cloud-down': 0xf03d,
    'wi-cloud-up': 0xf040,
    'wi-cloud-refresh': 0xf03e,
    'wi-horizon': 0xf047,
    'wi-horizon-alt': 0xf046,
    'wi-sunrise': 0xf051,
    'wi-sunset': 0xf052,
    'wi-moonrise': 0xf0c9,
    'wi-moonset': 0xf0ca,
    'wi-refresh': 0xf04c,
    'wi-refresh-alt': 0xf04b,
    'wi-umbrella': 0xf084,
    'wi-barometer': 0xf079,
    'wi-humidity': 0xf07a,
    'wi-na': 0xf07b,
    'wi-train': 0xf0cb,
    'wi-moon-new': 0xf095,
    'wi-moon-waxing-crescent-1': 0xf096,
    'wi-moon-waxing-crescent-2': 0xf097,
    'wi-moon-waxing-crescent-3': 0xf098,
    'wi-moon-waxing-crescent-4': 0xf099,
    'wi-moon-waxing-crescent-5': 0xf09a,
    'wi-moon-waxing-crescent-6': 0xf09b,
    'wi-moon-first-quarter': 0xf09c,
    'wi-moon-waxing-gibbous-1': 0xf09d,
    'wi-moon-waxing-gibbous-2': 0xf09e,
    'wi-moon-waxing-gibbous-3': 0xf09f,
    'wi-moon-waxing-gibbous-4': 0xf0a0,
    'wi-moon-waxing-gibbous-5': 0xf0a1,
    'wi-moon-waxing-gibbous-6': 0xf0a2,
    'wi-moon-full': 0xf0a3,
    'wi-moon-waning-gibbous-1': 0xf0a4,
    'wi-moon-waning-gibbous-2': 0xf0a5,
    'wi-moon-waning-gibbous-3': 0xf0a6,
    'wi-moon-waning-gibbous-4': 0xf0a7,
    'wi-moon-waning-gibbous-5': 0xf0a8,
    'wi-moon-waning-gibbous-6': 0xf0a9,
    'wi-moon-third-quarter': 0xf0aa,
    'wi-moon-waning-crescent-1': 0xf0ab,
    'wi-moon-waning-crescent-2': 0xf0ac,
    'wi-moon-waning-crescent-3': 0xf0ad,
    'wi-moon-waning-crescent-4': 0xf0ae,
    'wi-moon-waning-crescent-5': 0xf0af,
    'wi-moon-waning-crescent-6': 0xf0b0,
    'wi-moon-alt-new': 0xf0eb,
    'wi-moon-alt-waxing-crescent-1': 0xf0d0,
    'wi-moon-alt-waxing-crescent-2': 0xf0d1,
    'wi-moon-alt-waxing-crescent-3': 0xf0d2,
    'wi-moon-alt-waxing-crescent-4': 0xf0d3,
    'wi-moon-alt-waxing-crescent-5': 0xf0d4,
    'wi-moon-alt-waxing-crescent-6': 0xf0d5,
    'wi-moon-alt-first-quarter': 0xf0d6,
    'wi-moon-alt-waxing-gibbous-1': 0xf0d7,
    'wi-moon-alt-waxing-gibbous-2': 0xf0d8,
    'wi-moon-alt-waxing-gibbous-3': 0xf0d9,
    'wi-moon-alt-waxing-gibbous-4': 0xf0da,
    'wi-moon-alt-waxing-gibbous-5': 0xf0db,
    'wi-moon-alt-waxing-gibbous-6': 0xf0dc,
    'wi-moon-alt-full': 0xf0dd,
    'wi-moon-alt-waning-gibbous-1': 0xf0de,
    'wi-moon-alt-waning-gibbous-2': 0xf0df,
    'wi-moon-alt-waning-gibbous-3': 0xf0e0,
    'wi-moon-alt-waning-gibbous-4': 0xf0e1,
    'wi-moon-alt-waning-gibbous-5': 0xf0e2,
    'wi-moon-alt-waning-gibbous-6': 0xf0e3,
    'wi-moon-alt-third-quarter': 0xf0e4,
    'wi-moon-alt-waning-crescent-1': 0xf0e5,
    'wi-moon-alt-waning-crescent-2': 0xf0e6,
    'wi-moon-alt-waning-crescent-3': 0xf0e7,
    'wi-moon-alt-waning-crescent-4': 0xf0e8,
    'wi-moon-alt-waning-crescent-5': 0xf0e9,
    'wi-moon-alt-waning-crescent-6': 0xf0ea,
    'wi-time-1': 0xf08a,
    'wi-time-2': 0xf08b,
    'wi-time-3': 0xf08c,
    'wi-time-4': 0xf08d,
    'wi-time-5': 0xf08e,
    'wi-time-6': 0xf08f,
    'wi-time-7': 0xf090,
    'wi-time-8': 0xf091,
    'wi-time-9': 0xf092,
    'wi-time-10': 0xf093,
    'wi-time-11': 0xf094,
    'wi-time-12': 0xf089,
    'wi-direction-up': 0xf058,
    'wi-direction-up-right': 0xf057,
    'wi-direction-right': 0xf04d,
    'wi-direction-down-right': 0xf088,
    'wi-direction-down': 0xf044,
    'wi-direction-down-left': 0xf043,
    'wi-direction-left': 0xf048,
    'wi-direction-up-left': 0xf087,
    'wi-wind-beaufort-0': 0xf0b7,
    'wi-wind-beaufort-1': 0xf0b8,
    'wi-wind-beaufort-2': 0xf0b9,
    'wi-wind-beaufort-3': 0xf0ba,
    'wi-wind-beaufort-4': 0xf0bb,
    'wi-wind-beaufort-5': 0xf0bc,
    'wi-wind-beaufort-6': 0xf0bd,
    'wi-wind-beaufort-7': 0xf0be,
    'wi-wind-beaufort-8': 0xf0bf,
    'wi-wind-beaufort-9': 0xf0c0,
    'wi-wind-beaufort-10': 0xf0c1,
    'wi-wind-beaufort-11': 0xf0c2,
    'wi-wind-beaufort-12': 0xf0c3,
    'wind': 0xf0b1,
    'wind-deg-0': 0xf05c,
    'wind-deg-45': 0xf05a,
    'wind-deg-90': 0xf059,
    'wind-deg-135': 0xf05d,
    'wind-deg-180': 0xf060,
    'wind-deg-225': 0xf05e,
    'wind-deg-270': 0xf061,
    'wind-deg-315': 0xf05b,
  };
}
